@if (grid.gridDisplay$ | async; as gridDisplay) {
  <div class="sqtm-grid-footer">
    @if (grid.paginationDisplay$ | async; as pagination) {
      <div [attr.data-test-element-id]="'pagination-display'">
        @if (pagination.size != -1 && pagination.active) {
          {{ getInferiorBoundary(pagination) }} -
          {{ getSuperiorBoundary(pagination) }} / {{ pagination.count }}
        }
      </div>
      <div class="flex-row">
        @if (pagination.allowedPageSizes.length > 1) {
          <sqtm-core-pagination-size-selector
            [allowedPageSizes]="pagination.allowedPageSizes"
            [pageSize]="pagination.size"
            [allowShowAll]="gridDisplay.allowShowAll"
            (changeSize)="handlePaginationSizeChange($event)"
          >
          </sqtm-core-pagination-size-selector>
        }
        @if (pagination.size != -1 && pagination.active) {
          <button
            nz-button
            nzType="default"
            [nzSize]="'small'"
            nzShape="circle"
            [attr.data-test-button-id]="'first-page'"
            [disabled]="disabled"
            class="m-l-10 sqtm-grid-pagination-btn"
            (click)="handleGoFirstPage()"
          >
            <i nz-icon nzType="double-left"> </i>
          </button>
          <button
            nz-button
            nzType="default"
            [nzSize]="'small'"
            nzShape="circle"
            [attr.data-test-button-id]="'previous-page'"
            [disabled]="disabled"
            class="m-l-5 sqtm-grid-pagination-btn"
            (click)="handlePrevious()"
          >
            <i nz-icon nzType="left"> </i>
          </button>
          <span class="m-l-10" [attr.data-test-element-id]="'pagination'"
            >{{ pagination.page + 1 }}/{{ pagination.maxPage + 1 }}</span
          >
          <button
            nz-button
            nzType="default"
            [nzSize]="'small'"
            nzShape="circle"
            [attr.data-test-button-id]="'next-page'"
            [disabled]="disabled"
            class="m-l-10 sqtm-grid-pagination-btn"
            (click)="handleNext()"
          >
            <i nz-icon nzType="right"> </i>
          </button>
          <button
            nz-button
            nzType="default"
            [nzSize]="'small'"
            nzShape="circle"
            [attr.data-test-button-id]="'last-page'"
            [disabled]="disabled"
            class="m-l-5 sqtm-grid-pagination-btn"
            (click)="handleGoLastPage()"
          >
            <i nz-icon nzType="double-right"> </i>
          </button>
        }
      </div>
    }
  </div>
}
